sailpoint.object

## Class Link

- java.lang.Object
- - sailpoint.object.Link

    public class Link
    extends java.lang.Object

The Link class is a reference to a single account within an application (Source)

### Constructor Summary

Constructors
Constructor and Description
`Link()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Application` `getApplication()` Get the application that this link references
`java.lang.String` `getApplicationId()` Get the application id that this link references
`java.lang.String` `getApplicationName()` Get the application name that this link references
`java.lang.Object` `getAttribute(java.lang.String name)` Get a single attribute of the account link
`Attributes<java.lang.String,java.lang.Object>` `getAttributes()` Get the attributes of the account link
`java.lang.String` `getDisplayableName()` Get the display name of the account link
`Attributes` `getEntitlementAttributes()` Get the Entitlement Attributes of the link
`java.util.List<Entitlement>` `getEntitlements(java.util.Locale locale, java.lang.String attributeFilter)` Get a list of entitlements for the account link
`Identity` `getIdentity()` Get the Identity object that this link references
`java.lang.String` `getNativeIdentity()` Get the string value of the link's native identity.
`boolean` `isDisabled()` A true or false value if the account is disabled

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Link

    public Link()

### Method Detail

#### getApplication

    public Application getApplication()

Get the application that this link references

Returns:
  the application object

#### getApplicationName

    public java.lang.String getApplicationName()

Get the application name that this link references

Returns:
  the application name

#### getApplicationId

    public java.lang.String getApplicationId()

Get the application id that this link references

Returns:

#### getIdentity

    public Identity getIdentity()

Get the Identity object that this link references

Returns:
  the Identity tied to this link

#### getEntitlementAttributes

    public Attributes getEntitlementAttributes()

Get the Entitlement Attributes of the link

Returns:
  the attributes of the entitlement

#### getNativeIdentity

    public java.lang.String getNativeIdentity()

Get the string value of the link's native identity.

Returns:
  the native identity

#### getEntitlements

    public java.util.List<Entitlement> getEntitlements(java.util.Locale locale,
                                                       java.lang.String attributeFilter)
                                                throws GeneralException

Get a list of entitlements for the account link

Parameters:
  `locale` -
  `attributeFilter` -
Returns:
  a list of entitlements
Throws:
  `GeneralException`

#### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)

Get a single attribute of the account link

Parameters:
  `name` - the name of the attribute to retrieve
Returns:
  the given attributes value

#### getAttributes

    public Attributes<java.lang.String,java.lang.Object> getAttributes()

Get the attributes of the account link

Returns:
  the attributes of the linked account

#### getDisplayableName

    public java.lang.String getDisplayableName()

Get the display name of the account link

Returns:
  the display name, if the display name is null return the native identity

#### isDisabled

    public boolean isDisabled()

A true or false value if the account is disabled

Returns:
  true or false if the account is disabled